Subject: JMP> RE: IPP> URGENT: Should impressions include blank last page back sides or not?

From: "Wagner, William" <[email-masked]>
Date: Thu, 18 Dec 1997 11:50:43 -0500

Tom,

I suggest that making it optional (should) is undesirable since it
merely  adds to the confusion. 

W. A. Wagner (Bill Wagner)
OSICOM/DPI

> -----Original Message-----
> From:	Tom Hastings [SMTP:[email-masked]]
> Sent:	Wednesday, December 17, 1997 4:04 PM
> To:	[email-masked]
> Cc:	[email-masked]; [email-masked]
> Subject:	IPP> URGENT: Should impressions include blank last page
> back sides or not?
> 
> At the JMP meeting on 12/5, we agreed that the definitions of
> impressions would count the number of times a media side goes past
> the marker, even if there are no marks made.
> 
> I think we agreed to that, becasue impressions is supposed to count
> after the sheet is stacked, so that the sheet counter doesn't know
> whether
> the back side of the last page (documents with an odd number of
> pages),
> was marked or not, so we said that it SHALL count.
> 
> Howver, for an accounting application, the customers may get pretty
> unhappy with having to pay for the final side they didn't use, as 
> Angelo points out, when their document has an odd number of pages.
> 
> URGENT: I NEED FEEDBACK FROM THE JMP LIST BY THURSDAY 12/18 EVENING.
> HEARING NO OBJECTIONS I'M GOING FORWARD WITH THE FOLLOWING:
> 
> So how about RECOMMENDING (but not requiring) that the number of
> impressions 
> for two-sided printing not include counting both sides of sheets
> marked on
> only one side.  It may be that the interpreter has to be involved in
> counting impressions, rather than the sheet counter in the stacker or
> maybe
> the implementation only worries about the last sheet and so there is
> just
> an internal status bit that says whether a document has an odd number
> or an 
> even number of sides in order to know whether to count the last sheet
> as 1
> or 2 impressions.
> 
> I suggest changing the sentence in the definition of impression:
> 
> If a two-sided document has an odd number of pages, the last sheet
> still
> counts as two impressions, if that sheet makes two passes through the
> marker or the marker marks on both sides of a sheet in a single pass.
> 
> 
> to:
> 
> If a two-sided document has some sheets that only have marks on one
> side
> (such as on the last sheet of a document with an odd-number of
> impressions), those sheets SHOULD count as one impression, instead of
> two,
> even if that sheet makes two passes through the marker.  
> 
> BTW, the current definition of "impression" in the IPP Model is:
> 
> 12.2.15 impressions
> 
> An "impression" is the image (possibly many print-stream pages in
> different
> configurations) imposed onto a single media page.
> 
> So it seems that the IPP Job Model is in agreement with the following
> recommendation for the Job Mon MIB:
> 
> 
> The full definition of the term impressions (as sent yesterday) is
> for the Job Monitoring MIB:
> 
> Impression:  For a print job, an impression is the passage of the
> entire
> side of a sheet by the marker, whether or not any marks are made and
> independent of the number of passes that the side makes past the
> marker.
> Thus a four pass color process counts as a single impression.
> One-sided
> processing involves one impression per sheet.  Two-sided processing
> involves two impressions per sheet.  If a two-sided document has an
> odd
> number of pages, the last sheet still counts as two impressions, if
> that
> sheet makes two passes through the marker or the marker marks on both
> sides
> of a sheet in a single pass.  Two-up printing is the placement of two
> logical pages on one side of a sheet and so is still a single
> impression.
> See "page" and "sheet".
> 
> 
> I propose to soften that definition to:
> 
> Impression:  For a print job, an impression is the passage of the
> entire
> side of a sheet by the marker, whether or not any marks are made and
> independent of the number of passes that the side makes past the
> marker.
> Thus a four pass color process counts as a single impression.
> One-sided
> processing involves one impression per sheet.  Two-sided processing
> involves two impressions per sheet.  If a two-sided document has some
> sheets that only have marks on one side (such as on the last sheet of
> a
> document with an odd-number of impressions), those sheets SHOULD count
> as
> one impression, instead of two, even if that sheet makes two passes
> through
> the marker.  Two-up printing is the placement of two logical pages on
> one
> side of a sheet and so is still a single impression.  See "page" and
> "sheet".
> 
> 
> PLEASE SEND ANY COMMENTS BY THURSDAY EVENING.  NOT HEARING ANY
> OBJECTIONS,
> I'M GOING WITH THE ABOVE DEFINITION FOR THE JOB MONITORING MIB.
> 
> Thanks,
> Tom
> 
> 
> 
> At 07:18 12/17/1997 PST, Caruso, Angelo wrote:
> >Tom,
> >
> snip...
> 
> >Your proposed definition of impressions is great except for the
> sentence
> >"If a two-sided document has an odd number of pages, the last sheet
> >still counts as two impressions, if that sheet makes two passes
> through
> >the marker or the marker marks on both sides of a sheet in a single
> >pass." I disagree with this. Why should the odd side count as an
> >impression if it is not marked? And which impressions counters would
> you
> >increment for the unmarked odd side? Some engine architectures
> require
> >that the sheet pass through the marker twice even though the sheet
> only
> >gets marked on one side. This seems like a rather arbitrary and
> unfair
> >policy, especially from the customer's point of view. With this
> policy,
> >if I printed 100 copies of a 5 page duplex document, I would pay for
> 600
> >impressions even though I only made 500 impressions.
> >
> >Thanks,
> >Angelo
> >
> >
> >
> >	-----Original Message-----
> >	From:	Tom Hastings [SMTP:[email-masked]]
> >	Sent:	Tuesday, December 16, 1997 5:37 PM
> >	To:	[email-masked]; Caruso, Angelo
> >	Cc:	XCMI Editors only
> >	Subject:	URGENT: Ambiguity in
> >impressions|fullColor|highlighColorComppleteddefns
> >
> >	Angelo,
> >
> >	You've come up with a third interpretation of the
> >impressionsCompleted,
> >	fullColorImpressionsCompleted and
> >highlightColorImpressionsCompleted!
> >
> >
> >	I'm proposing the interpretation based on our discussion at the
> >	Dec 5 JMP meeting (which you did not have the benefit of
> >attending).
> >
> >
> >	PEOPLE,
> >	PLEASE RESPOND TO THE DL THIS WEEK, THURSDAY, 12/18/98, IF YOU
> >OBJECT TO 
> >	MY CLARIFICATIONS.
> >	AGREEMENT REPLIES WELCOME, BUT SILENCE WILL BE INTERPRETED AS
> >AGREEMENT.
> >	I'M STILL PLAN TO FORWARD THE JOB MON MIB TO THE IESG THIS WEEK
> >AS WE
> >	AGREED AT THE JMP MEETING.
> >
> >	First, here is the definition of the term "impression" that we
> >	came up with at the meeting (please review the text too, since
> >it was only
> >	the ideas that we agreed to at the meeting):
> >
> >	Impression:  For a print job, an impression is the passage of
> >the entire
> >	side of a sheet by the marker, whether or not any marks are made
> >and
> >	independent of the number of passes that the side makes past the
> >marker.
> >	Thus a four pass color process counts as a single impression.
> >One-sided
> >	processing involves one impression per sheet.  Two-sided
> >processing
> >	involves two impressions per sheet.  If a two-sided document has
> >an odd
> >	number of pages, the last sheet still counts as two impressions,
> >if that
> >	sheet makes two passes through the marker or the marker marks on
> >both sides
> >	of a sheet in a single pass.  Two-up printing is the placement
> >of two
> >	logical pages on one side of a sheet and so is still a single
> >impression.
> >	See "page" and "sheet".
> >
> >	The three interpretations of these three attributes are:
> >
> >	1. Does impressionsCompleted increment or not when a highlight
> >or full color
> >	impression is made?  The current above definition of impressions
> >suggests
> >	that it does, since an impressions is the passing of one side of
> >the
> >	media past the marker whether color or not.
> >
> >	2. Does the fullColorImpressionsCompleted count once for each
> >side of
> >	a full color impression or once for each color pass past the
> >side of
> >	a medium?
> >
> >	For example, if I had a 16-page document that had 10 black and
> >white pages,
> >	5 highlight color pages, and 1 full 4-color page, (number-up=1,
> >sides=1), 
> >	would the counts at the end of my job be:
> >
> >	                         highlightColor         fullColor
> >	   impressionsCompleted  ImpressionsCompleted
> >ImpressionsCompleted
> >
> >	1. 16                    5                      1
> >	2. 16                    5                      20
> >	3. 10                    5                      1
> >	4. 10                    5                      20
> >
> >	I suggest that it is interpretation 1 that we are agreeing to
> >and I'll clarify
> >	the fullColorImpressionsCompleted, by adding the phrase,
> >"independent
> >	of the number of colors or color passes" to the end of the first
> >	sentence, yielding:
> >
> >	The number of full color impressions completed by the device for
> >this job
> >	so far independent of the number of colors or color passes.
> >
> >	I'll also add the parenthetical remake to the
> >impressionsCompleted
> >	"(monochome, highlight color, and full color)" to the first
> >sentence,
> >	since it is clear from the definition of impression that it
> >includes
> >	all, yielding:
> >
> >	The total number of impressions (monochome, highlight color, and
> >full
> >	color) completed for this job so far.
> >
> >	Ok?
> >
> >	AGAIN, PLEASSE SEND E-MAIL, IF YOU DISAGREE WITH THESE
> >CLARIFICATION.
> >
> >	Thanks,
> >	Tom  
> >
> >	The current definitions of impressionsCompleted,
> >	highlightColorImpressionsCompleted, and
> >fullColorImpressionsCompleted are:
> >
> >	OBJECT-TYPE
> >	SYNTAX      Integer32(-2..2147483647)
> >	MAX-ACCESS  read-only
> >	STATUS      current
> >	DESCRIPTION
> >	"The total number of impressions completed for this job so far.
> >For
> >	printing devices, the impressions completed includes
> >interpreting, marking,
> >	and stacking the output.  For other types of job services, the
> >number of
> >	impressions completed includes the number of impressions
> >processed.
> >
> >	NOTE - See the impressionsCompletedCurrentCopy and
> >	pagesCompletedCurrentCopy attributes for attributes that are
> >reset on each
> >	document copy.
> >
> >	NOTE - The jmJobImpressionsCompleted object can be used with the
> >	jmJobImpressionsPerCopyRequested object to provide an indication
> >of the
> >	relative progress of the job, provided that the multiplicative
> >factor is
> >	taken into account for some implementations of multiple copies."
> >	REFERENCE
> >	"See the definition of the term "impression" in Section 2 and
> >the counting
> >	example in Section 3.4 entitled 'Monitoring Job Progress'."
> >	DEFVAL      { 0 }      -- default is no octets
> >	::= { jmJobEntry 8 }
> >
> >	fullColorImpressionsCompleted(114),
> >Integer32(-2..2147483647)
> >	INTEGER:  The number of full color impressions completed by the
> >device for
> >	this job so far.  For printing, the impressions completed
> >includes
> >	interpreting, marking, and stacking the output.  For other types
> >of job
> >	services, the number of impressions completed includes the
> >number of
> >	impressions processed. Full color impressions are typically
> >defined as
> >	those requiring 3 or more colorants, but this MAY vary by
> >implementation.
> >
> >	highlightColorImpressionsCompleted(115),
> >Integer32(-2..2147483647)
> >	INTEGER:  The number of highlight color impressions completed by
> >the device
> >	for this job so far.  For printing, the impressions completed
> >includes
> >	interpreting, marking, and stacking the output.  For other types
> >of job
> >	services, the number of impressions completed includes the
> >number of
> >	impressions processed.  Highlight color impressions are
> >typically defined
> >	as those requiring black plus one other colorant, but this MAY
> >vary by
> >	implementation. 
> >
> >
> >
> >
> >	At 12:37 12/12/1997 PST, Caruso, Angelo wrote:
> >	>Tom,
> >	>
> >	>There's no ambiguity in my mind. You increment exactly one of
> >the three
> >	>counters ([monochrome]impressionsCompleted,
> >	>fullColorImpressionsCompleted, or
> >highlightColorImpressionsCompleted)
> >	>for each SIDE completed. If the side requires 3 or more
> >colorants to
> >	>produce the impression then it's Full Color, black plus one
> >other
> >	>colorant would be Highlight color, and a side that uses only
> >black would
> >	>cause the monochrome counter to increment. To display job
> >progress to a
> >	>user you need to sum all three of these counters.
> >
> >	The advantage to saying that impressionsCompleted, counts
> >black/white,
> >	highlight color, and full color, is that an application only
> >need to
> >	look at one attribute if it doesn't care about the distinction
> >of b/w,
> >	highlight and full color.  Also the device might not implement
> >	the other two, so it is easier for an application to just look
> >at the
> >	one attribute if that is all it is interested in.  Ok?
> >	 
> >	>
> >	>For example, if you produce a duplex sheet with full process
> >color
> >	>graphics on the front side and black text on the back side,
> >then you
> >	>would increment fullColorImpressionsCompleted when the front
> >side was
> >	>completed and [monochrome]impressionsCompleted when the back
> >was
> >	>complete. Since the descriptions of these attributes were
> >changed to say
> >	>"For printing, the impressions completed includes interpreting,
> >marking,
> >	>and stacking the output", then this implies to me that both
> >counters
> >	>would be incremented simultaneously when this completed duplex
> >sheet was
> >	>delivered to the output.
> >
> >	So with my suggested resolution, the
> >fullColorImpressionsCompleted
> >	would count by 1 and the impressionsCompleted would count by 2
> >in 
> >	your example.
> >
> >	>
> >	>Is there something else I'm missing here?
> >	>
> >	>Obviously these objects do not provide detailed colorant use
> >information
> >	>for each page. To do so would require objects to count the
> >actual amount
> >	>of each colorant transferred to each side. So as a compromise,
> >we
> >	>proposed these two new objects (which complement the previously
> >existing
> >	>[monochrome]impressionsCompleted counter) to provide enough
> >information
> >	>for an accounting application to bill at different rates for
> >monochrome,
> >	>highlight color, and full color impressions within a job.
> >
> >	I think that the accounting program can still bill correctly
> >with
> >	impressionsCompleted counting highlight and fullColor as well as
> >monochrome.
> >	It can substract out the monochrome, if it wants to, or build in
> >the
> >	charge for color to be less that the correct charge for coloer
> >by the amount 
> >	charged for monochrome and avoid subtracting.
> >
> >	>
> >	>Thanks,
> >	>Angelo
> >	>
> >	>> -----Original Message-----
> >	>> From:	Tom Hastings [SMTP:[email-masked]]
> >	>> Sent:	Friday, December 12, 1997 11:26 AM
> >	>> To:	[email-masked]
> >	>> Cc:	XCMI Editors only
> >	>> Subject:	Ambiguity in XCMI & PWG Job Mon:
> >	>> fullColorImpressionsCompleted(1
> >	>> 
> >	>> URGENT:
> >	>> 
> >	>> The current definition of fullColorImpressionsCompleted(114)
> >and
> >	>> highlightColorImpressionsCompleted(115) is:
> >	>> 
> >	>> fullColorImpressionsCompleted(114),
> >Integer32(-2..2147483647)
> >	>> INTEGER:  The number of full color impressions completed by
> >the device
> >	>> for
> >	>> this job so far.  For printing, the impressions completed
> >includes
> >	>> interpreting, marking, and stacking the output.  For other
> >types of
> >	>> job
> >	>> services, the number of impressions completed includes the
> >number of
> >	>> impressions processed. Full color impressions are typically
> >defined as
> >	>> those requiring 3 or more colorants, but this MAY vary by
> >	>> implementation.
> >	>> 
> >	>> highlightColorImpressionsCompleted(115),
> >	>> Integer32(-2..2147483647)
> >	>> INTEGER:  The number of highlight color impressions completed
> >by the
> >	>> device
> >	>> for this job so far.  For printing, the impressions completed
> >includes
> >	>> interpreting, marking, and stacking the output.  For other
> >types of
> >	>> job
> >	>> services, the number of impressions completed includes the
> >number of
> >	>> impressions processed.  Highlight color impressions are
> >typically
> >	>> defined
> >	>> as those requiring black plus one other colorant, but this
> >MAY vary by
> >	>> implementation. 
> >	>> 
> >	>> 
> >	>> Suppose you have a 4 color process that makes four passes
> >through the
> >	>> marker
> >	>> for each side,  does this attribute count by 1 for each pass
> >or does
> >	>> it still
> >	>> count just the number of sides?
> >	>> 
> >	>> The advantage of counting the number of color passes is that
> >something
> >	>> 
> >	>> counts for each pass which can be shown to a user.  Also
> >accounting
> >	>> may
> >	>> want to charge for each color pass.  Conceivably, there might
> >be a
> >	>> variable
> >	>> number of passes, depending on the colors demanded by each
> >image?  
> >	>> 
> >	>> The advantage of only counting once per side, is that you can
> >then
> >	>> compare
> >	>> the number of impressions for the job with the number of
> >	>> fullColorImpressionsCompleted and determine the percentage of
> >color
> >	>> impressions in the job.  Also this definition seems to be
> >more in
> >	>> keeping
> >	>> with the
> >	>> concept of "stacking" the media mentioned in the definition.
> >	>> 
> >	>> Since Xerox proposed this attribute, what did we have in
> >mind?
> >	>> 
> >	>> Thanks,
> >	>> Tom
> >	>
> >	>
> >
> >